net.minecraft.client.audio

## Class MovingSound

- java.lang.Object
- - net.minecraft.client.audio.PositionedSound
  - - net.minecraft.client.audio.MovingSound

- All Implemented Interfaces:
    ISound, ITickableSound, IUpdatePlayerListBox
  Direct Known Subclasses:
    MovingSoundMinecart, MovingSoundMinecartRiding

      public abstract class MovingSound
      extends PositionedSound
      implements ITickableSound

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.minecraft.client.audio.ISound

      `ISound.AttenuationType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `donePlaying`

    - ### Fields inherited from class net.minecraft.client.audio.PositionedSound

      `field_147663_c, field_147664_a, field_147665_h, field_147666_i, repeat, volume, xPosF, yPosF, zPosF`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MovingSound(ResourceLocation p_i45104_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDonePlaying()`

    - ### Methods inherited from class net.minecraft.client.audio.PositionedSound

      `canRepeat, getAttenuationType, getPitch, getPositionedSoundLocation, getRepeatDelay, getVolume, getXPosF, getYPosF, getZPosF`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.client.audio.ISound

      `canRepeat, getAttenuationType, getPitch, getPositionedSoundLocation, getRepeatDelay, getVolume, getXPosF, getYPosF, getZPosF`

    - ### Methods inherited from interface net.minecraft.server.gui.IUpdatePlayerListBox

      `update`

- - ### Field Detail

    - #### donePlaying

          protected boolean donePlaying

  - ### Constructor Detail

    - #### MovingSound

          protected MovingSound(ResourceLocation p_i45104_1_)

  - ### Method Detail

    - #### isDonePlaying

          public boolean isDonePlaying()

      Specified by:
        `isDonePlaying` in interface `ITickableSound`